Library Version 18.1.40

DB_ENV->get_slice_count()
Prev | Chapter 5. The DB_ENV Handle | Next

## DB_ENV->get_slice_count()

    #include <db.h>

    int
    DB_ENV->get_slice_count(DB_ENV *dbenv, u_int32_t *nslicesp);

The `DB_ENV->get_slice_count()` method returns the number of slices configured for the environment. The number of slices is configured using the `set_slice_count` DB_CONFIG parameter.

The `DB_ENV->get_slice_count()` method may only be called after the environment has been opened.

The `DB_ENV->get_slice_count()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### nslicep

The `DB_ENV->get_slice_count()` method returns the slice count in nslicep.

### Class

DB_ENV

### See Also

Database Environments and Related Methods

Prev | Up | Next
DB_ENV->get_slices() | Home | DB_ENV->get_thread_count()